## dconf 0.5.0

=== Makefile ===
prefix = /usr
sysconfdir = /etc
bindir = $(prefix)/bin
sbindir = $(prefix)/sbin
libdir = $(prefix)/lib
datadir = $(prefix)/share
mandir = $(datadir)/man
localstatedir = /var

logdir = $(localstatedir)/log/dconf


all:
	@echo "Nothing to be build."

install: dconf.1
#	-[ ! -f $(DESTDIR)$(sysconfdir)/dconf.conf ] && install -D -m0644 dconf.conf $(DESTDIR)$(sysconfdir)/dconf.conf
	-@[ ! -f $(DESTDIR)$(sysconfdir)/dconf-custom.conf ] && install -D -m0644 config/dconf-custom.conf $(DESTDIR)$(sysconfdir)/dconf-custom.conf

	install -Dp -m0755 dconf $(DESTDIR)$(bindir)/dconf
	install -Dp -m0644 dconf.1 $(DESTDIR)$(mandir)/man1/dconf.1

	install -dp -m0755 $(DESTDIR)$(logdir)
	@echo "Also do: make install-<dist>   (with dist: debian|redhat|suse)"

install-redhat:
	install -Dp -m0644 config/dconf-redhat.conf $(DESTDIR)$(sysconfdir)/dconf.conf

install-debian:
	install -Dp -m0644 config/dconf-debian.conf $(DESTDIR)$(sysconfdir)/dconf.conf

install-suse:
	install -Dp -m0644 config/dconf-suse.conf $(DESTDIR)$(sysconfdir)/dconf.conf

clean:
	rm -f dconf.1 dconf.1.html dconf.1.xml

%.html: %.txt
	asciidoc -b xhtml11 -d manpage $<

%.1: %.1.xml
	xmlto man $<

%.xml: %.txt
	asciidoc -b docbook -d manpage $<

## dconf 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+name = dconf
+version = $(shell awk '/^Version: / {print $$2}' $(name).spec)
+
 prefix = /usr
 sysconfdir = /etc
 bindir = $(prefix)/bin
@@ -43,3 +46,12 @@
 
 %.xml: %.txt
 	asciidoc -b docbook -d manpage $<
+
+dist: clean
+	find . ! -wholename '*/.svn*' | pax -d -w -x ustar -s ,^,$(name)-$(version)/, | bzip2 >../$(name)-$(version).tar.bz2
+
+rpm: dist
+	rpmbuild -tb --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_rpmdir ../" ../$(name)-$(version).tar.bz2
+
+srpm: dist
+	rpmbuild -ts --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_srcrpmdir../" ../$(name)-$(version).tar.bz2

## dconf 0.28.0

=== debian/changelog ===
dconf (0.28.0-2) unstable; urgency=medium

  * Build with meson

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 07 Apr 2018 09:57:50 -0400

dconf (0.28.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Drop unnecessary gnome-get-source include
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 07 Apr 2018 08:41:44 -0400

dconf (0.26.1-3) unstable; urgency=medium

  * Rename source package from d-conf to dconf to match the upstream name.
    The unrelated dconf source package was removed from Debian 5 years ago.
  * Drop obsolete debian/NEWS, last entry was from 5 years ago.
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3
  * Drop old Breaks/Replaces not needed since Jessie

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 19 Jan 2018 14:57:36 -0500

d-conf (0.26.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Update Multi-Arch metadata according to multiarch hinter

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 19:41:25 -0500

d-conf (0.26.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (Closes: #868233)

  [ Laurent Bigonville ]
  * Make dconf-service pull default-dbus-session-bus | dbus-session-bus, this
    way leaf packages don't have to add this explicitly (Closes: #849095)

  [ Andreas Henriksson ]
  * Drop transitional dconf-tools package as suggested by Holger Levsen
    - there are no rdeps left in sid, buster or stretch (Closes: #878382)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Oct 2017 08:19:48 -0400

d-conf (0.26.0-2) unstable; urgency=medium

  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Run the test-suite but don't make it fatal yet. Needs further tweaks to
    run successfully in a build chroot.
  * Bump Standards-Version to 3.9.8.
  * Add Build-Depends-Indep on libglib2.0-doc for proper cross-references in
    the gtk-doc API documentation.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 20:12:34 +0200

d-conf (0.26.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file for libdconf1 with new API additions.
  * Drop packages for libdconf-dbus. The libdbus-1 backend has been removed
    upstream, dconf now always uses GDBus.
    Drop Build-Depends on libdbus-1-dev accordingly.
  * Update debian/copyright and remove section about libdconf-dbus.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.44.0) as per configure.ac.
  * Drop libdconf-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libdconf-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly.
  * Bump Standards-Version to 3.9.7.
  * Drop debian/patches/01_env_path.patch, gdm3 now uses the file-db mechanism
    to set the location of the dconf database.

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Apr 2016 14:23:31 +0200

d-conf (0.24.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Drop obsolete Breaks/Replaces from pre-wheezy.
  * Update Homepage: URL.
  * Sort entries in debian/libdconf1.symbols.
  * Point Vcs-* to the unstable branch.
  * Bump Standards-Version to 3.9.6.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 May 2015 01:40:43 +0200

d-conf (0.24.0-1) experimental; urgency=medium

  * New upstream release 0.24.0.
  * This release removes dconf-editor, which has moved to a different source.
    Drop the dconf-editor binary package.

 -- Iain Lane <laney@debian.org>  Mon, 13 Apr 2015 17:23:58 +0100

d-conf (0.22.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * debian/watch: only scan for stable releases.

  [ Iain Lane ]
  * New upstream release

 -- Iain Lane <laney@debian.org>  Mon, 22 Sep 2014 18:00:57 +0100

d-conf (0.21.0-1) experimental; urgency=medium

  * New upstream development release.
  * Preemptively set Vcs-* urls to unstable
  * debian/dconf-editor.install:
    change desktop file name to ca.desrt.dconf-editor.desktop to follow
    upstream change to make application was made DBus-activatable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 05:43:34 -0700

d-conf (0.20.0-2) unstable; urgency=medium

  * Force strict dependency between dconf-cli and libdconf1.

 -- Josselin Mouette <joss@debian.org>  Sat, 26 Apr 2014 17:30:28 +0200

d-conf (0.20.0-1) experimental; urgency=medium

  [ Jackson Doak ]
  * New upstream release
  * Bump valac build-depend to 0.18.0

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 21:08:24 +0100

d-conf (0.19.91-1) experimental; urgency=medium

  [ Iain Lane ]
  * Update Vcs-* URLs for experimental
  * Run with dh_install --fail-missing
  * Install the appdata file
  * New upstream release 0.19.91

  [ Andreas Henriksson ]
  * New upstream release 0.19.90.
  * Bump glib build-dependency to 2.39.1 according to configure.ac
  * Update debian/patches/01_env_path.patch to apply again.
  * Update debian/libdconf1.symbols with one added symbol.

 -- Iain Lane <laney@debian.org>  Mon, 10 Mar 2014 11:11:00 +0000

d-conf (0.18.0-1) unstable; urgency=low

  * New upstream release.
  * Bump build-dependency on libgtk-3-dev to >= 3.4.0
  * debian/dconf-editor.install: don't install usr/share/dconf-editor
    - GLib UI resources are now embedded using glib-compile-resources

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 17:42:48 +0200

d-conf (0.16.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Iain Lane ]
  * New upstream release 0.16.1
    + Fix a crash when using DConfChangeset in two threads (as can happen
      during normal writes to dconf).

 -- Iain Lane <laney@debian.org>  Wed, 17 Jul 2013 10:52:01 +0100

d-conf (0.16.0-4) unstable; urgency=low

  * In dconf 0.13.4 support for some deprecated profile specification


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: dconf
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11.1.3),
               gnome-pkg-tools,
               gtk-doc-tools (>= 1.15),
               libglib2.0-dev (>= 2.44.0),
               libxml2-dev,
               meson,
               valac (>= 0.18.0),
               xsltproc
Build-Depends-Indep: libglib2.0-doc
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gnome-team/dconf
Vcs-Git: https://salsa.debian.org/gnome-team/dconf.git
Homepage: https://wiki.gnome.org/Projects/dconf

Package: libdconf1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: simple configuration storage system - runtime library
 DConf is a low-level key/value database designed for storing desktop
 environment settings.
 .
 This package contains the runtime library.

Package: libdconf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libdconf1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.25.7)
Recommends: libdconf-doc
Description: simple configuration storage system - development files
 DConf is a low-level key/value database designed for storing desktop
 environment settings.
 .
 This package contains a static library and header files.

Package: libdconf-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: simple configuration storage system - documentation
 DConf is a low-level key/value database designed for storing desktop
 environment settings.
 .
 This package contains the documentation in devhelp format.

Package: dconf-cli
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdconf1 (= ${binary:Version})
Conflicts: dconf
Description: simple configuration storage system - utilities
 DConf is a low-level key/value database designed for storing desktop
 environment settings.
 .
 This package contains the command line tools. Note that DConf is not
 connected with the older Debian package named dconf.

Package: dconf-gsettings-backend
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dconf-service (>= ${source:Version}),
         dconf-service (<< ${source:Version}.1~),
         libdconf1 (= ${binary:Version})
Provides: gsettings-backend
Description: simple configuration storage system - GSettings back-end
 DConf is a low-level key/value database designed for storing desktop
 environment settings.
 .
 This package contains a back-end for GSettings. It is needed by
 applications accessing settings through GSettings to set custom values
 and listen for changes.

Package: dconf-service
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdconf1 (= ${binary:Version}),
         default-dbus-session-bus | dbus-session-bus
Recommends: dconf-gsettings-backend
Description: simple configuration storage system - D-Bus service
 DConf is a low-level key/value database designed for storing desktop
 environment settings.
 .
 This package contains the DConf service, which applications talk to
 using D-Bus in order to obtain their settings. It is mostly used by the
 GSettings backend.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-gtk-doc=true \
		--libexecdir=/usr/lib/dconf

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libdconf-dbg (<< 0.26.0-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
	dh_auto_test || true

## dconf 0.30.0

=== debian/changelog ===
dconf (0.30.0-1) unstable; urgency=medium

  * New upstream releases 0.29.1, 0.29.2, 0.30.0:
    - Engine: track in progress watch handles to avoid spurious changed
      signals for the root path. Subscription requests are no longer sent if
      the engine is already subscribed to the given path. In the case that
      some value changes while a subscription request is in progress, a
      changed signal is only sent for the path being subscribed to instead of
      the root path.
    - Engine: fix deadlock which occured when using the engine from libsoup
      within flatpak by extending the existing workaround for Glib !541, aka
      #674885. GSocket and various other GObject types are now also
      initialised in the main thread.
    - dconf-update.vala: correct error message grammar
    - Various meson related improvements
    - Service: Port from the deprecated g_type_class_add_private() to
      G_ADD_PRIVATE()
    - Service: When corrupt GVDB files are found, they are now
      transparently backed up and replaced with an empty database.
    - Replace all hard-coded /etc path with sysconfdir. This is useful for
      JHBuild environments and systems that don't want to use /etc/dconf.
    - Engine: Change overflow thresholds in subscription counts from
      GMAXUINT32 to GMAXUINT
    - Change meson flag used to build Gtk-Doc from enable-gtk-doc to
      gtk_doc
  * debian/control*:
    + Standards-Version → 4.2.0, no changes required
    + Set Rules-Requires-Root to "no" - we don't require root to build
  * Build-Depend on meson >= 0.46, required by our meson.build files
  * debian/rules: Follow upstream in using -Dgtk_doc
  * Add Build-Depends on bash-completion and libdbus-1-dev. We use variables
    from their pcfiles.

 -- Iain Lane <laney@debian.org>  Wed, 05 Sep 2018 17:49:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,22 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
+Build-Depends: bash-completion,
+               debhelper (>= 11.1.3),
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.15),
+               libdbus-1-dev,
                libglib2.0-dev (>= 2.44.0),
                libxml2-dev,
-               meson,
+               meson (>= 0.46.0),
                valac (>= 0.18.0),
                xsltproc
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/dconf
 Vcs-Git: https://salsa.debian.org/gnome-team/dconf.git
 Homepage: https://wiki.gnome.org/Projects/dconf
+Rules-Requires-Root: no
 
 Package: libdconf1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Denable-gtk-doc=true \
+		-Dgtk_doc=true \
 		--libexecdir=/usr/lib/dconf
 
 override_dh_missing:

## dconf 0.30.1

=== meson_options.txt ===
option('bash_completion', type: 'boolean', value: true, description: 'install bash completion files')
option('man', type: 'boolean', value: true, description: 'generate man pages')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

=== debian/changelog ===
dconf (0.30.1-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 18:46:50 -0500

dconf (0.30.1-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Nov 2018 17:10:50 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                valac (>= 0.18.0),
                xsltproc
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/dconf
 Vcs-Git: https://salsa.debian.org/gnome-team/dconf.git
 Homepage: https://wiki.gnome.org/Projects/dconf

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome

=== debian/tests/control ===
Tests: build
Depends: build-essential, libdconf-dev, pkg-config

## dconf 0.32.0

=== debian/changelog ===
dconf (0.32.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.47.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 08:13:40 -0400

## dconf 0.34.0

=== debian/changelog ===
dconf (0.34.0-2) unstable; urgency=medium

  * Team upload
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Use cross-compiler and cross-pkg-config when using
    proposed autopkgtest cross-testing support. Thanks to Steve Langasek.
    (Closes: #946366)
  * d/tests/build: Fail if unset variables are used
  * d/tests/build: Normalize whitespace
  * d/p/build-Update-use-of-link_whole-for-meson-0.52.patch:
    Apply upstream patch to fix FTBFS with Meson 0.52, taken from Ubuntu.
    Thanks to Sebastien Bacher
  * Use debhelper-compat 12
  * Fix FTCBFS: disable gtk-doc during arch-only builds.
    Thanks to Helmut Grohne. (Closes: #893482)
    - Move gtk-doc-tools from Build-Depends to Build-Depends-Indep.
    - Explicitly build-depend on docbook-xsl, required for man pages.
      Previously this was brought in by gtk-doc-tools.
  * Bump Standards-Version to 4.4.1
  * d/tests/build: Mark as superficial

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Dec 2019 16:00:35 +0000

dconf (0.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Sep 2019 10:12:32 +0200

dconf (0.33.2-1) experimental; urgency=medium

  * debian/watch: Find unstable versions
  * New upstream release
    - Drop references to GDBusConnection objects when D-Bus connections are
      closed
    - Factor out a common method to route completion of D-Bus methods through

 -- Iain Lane <laney@debian.org>  Wed, 21 Aug 2019 09:45:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,20 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: bash-completion,
-               debhelper (>= 11.1.3),
+               debhelper-compat (= 12),
+               docbook-xsl,
                gnome-pkg-tools,
-               gtk-doc-tools (>= 1.15),
                libdbus-1-dev,
                libglib2.0-dev (>= 2.44.0),
                libxml2-dev,
-               meson (>= 0.46.0),
+               meson (>= 0.47.0),
                valac (>= 0.18.0),
                xsltproc
-Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.3.0
+Build-Depends-Indep: gtk-doc-tools (>= 1.15),
+                     libglib2.0-doc
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/dconf
 Vcs-Git: https://salsa.debian.org/gnome-team/dconf.git
 Homepage: https://wiki.gnome.org/Projects/dconf

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,17 @@
 %:
 	dh $@ --with gnome
 
+binaries := $(shell dh_listpackages)
+
+ifeq ($(filter libdconf-doc,$(binaries)),)
+enable_gtk_doc = false
+else
+enable_gtk_doc = true
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dgtk_doc=true \
+		-Dgtk_doc=$(enable_gtk_doc) \
 		--libexecdir=/usr/lib/dconf
 
 override_dh_missing:

## dconf 0.36.0

=== debian/changelog ===
dconf (0.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Mark libdconf-doc with Build-Profiles: <!nodoc>
  * debian/control.in: Add dbus to the build-dependencies, this seems needed
    for the tests
  * debian/rules: Drop the migration bit for the -dbg package

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Mar 2020 09:49:03 +0100

dconf (0.35.1-1) experimental; urgency=medium

  * New upstream release
  * d/p/build-Update-use-of-link_whole-for-meson-0.52.patch:
    - remove, the fix is in the new version
  * debian/libdconf1.symbols:
    - updated to list a new symbol

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 06 Feb 2020 11:31:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: bash-completion,
+               dbus <!nocheck>,
                debhelper-compat (= 12),
                docbook-xsl,
                gnome-pkg-tools,
@@ -17,9 +18,9 @@
                meson (>= 0.47.0),
                valac (>= 0.18.0),
                xsltproc
-Build-Depends-Indep: gtk-doc-tools (>= 1.15),
-                     libglib2.0-doc
-Standards-Version: 4.4.1
+Build-Depends-Indep: gtk-doc-tools (>= 1.15) <!nodoc>,
+                     libglib2.0-doc <!nodoc>
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/dconf
 Vcs-Git: https://salsa.debian.org/gnome-team/dconf.git
 Homepage: https://wiki.gnome.org/Projects/dconf
@@ -55,6 +56,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Description: simple configuration storage system - documentation
  DConf is a low-level key/value database designed for storing desktop
  environment settings.

=== debian/rules ===
--- 
+++ 
@@ -16,14 +16,10 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dgtk_doc=$(enable_gtk_doc) \
-		--libexecdir=/usr/lib/dconf
+		-Dgtk_doc=$(enable_gtk_doc)
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libdconf-dbg (<< 0.26.0-1~)'
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4

## dconf 0.38.0

=== meson_options.txt ===
option('bash_completion', type: 'boolean', value: true, description: 'install bash completion files')
option('man', type: 'boolean', value: true, description: 'generate man pages')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('vapi', type: 'boolean', value: true, description: 'install dconf client vapi')

=== debian/changelog ===
dconf (0.38.0-2) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Drop unused Build-Depends: libxml2-dev (Closes: #981504)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:48:33 +0000

dconf (0.38.0-1) unstable; urgency=medium

  * New upstream release:
    - build: Install bash-completion relative to datadir
    - client: add `dconf compile` to shell autocomplete

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 13:27:32 +0200

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,10 @@
                gnome-pkg-tools,
                libdbus-1-dev,
                libglib2.0-dev (>= 2.44.0),
-               libxml2-dev,
                meson (>= 0.47.0),
                valac (>= 0.18.0),
                xsltproc
-Build-Depends-Indep: gtk-doc-tools (>= 1.15) <!nodoc>,
-                     libglib2.0-doc <!nodoc>
+Build-Depends-Indep: gtk-doc-tools (>= 1.15) <!nodoc>, libglib2.0-doc <!nodoc>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/dconf
 Vcs-Git: https://salsa.debian.org/gnome-team/dconf.git
@@ -29,8 +27,7 @@
 Package: libdconf1
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: simple configuration storage system - runtime library
  DConf is a low-level key/value database designed for storing desktop
  environment settings.
@@ -41,9 +38,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         libdconf1 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.25.7)
+Depends: libdconf1 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.25.7),
+         ${misc:Depends}
 Recommends: libdconf-doc
 Description: simple configuration storage system - development files
  DConf is a low-level key/value database designed for storing desktop
@@ -66,9 +63,7 @@
 Package: dconf-cli
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libdconf1 (= ${binary:Version})
+Depends: libdconf1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: dconf
 Description: simple configuration storage system - utilities
  DConf is a low-level key/value database designed for storing desktop
@@ -80,11 +75,11 @@
 Package: dconf-gsettings-backend
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
+Depends: dconf-service (<< ${source:Version}.1~),
+         dconf-service (>= ${source:Version}),
+         libdconf1 (= ${binary:Version}),
          ${misc:Depends},
-         dconf-service (>= ${source:Version}),
-         dconf-service (<< ${source:Version}.1~),
-         libdconf1 (= ${binary:Version})
+         ${shlibs:Depends}
 Provides: gsettings-backend
 Description: simple configuration storage system - GSettings back-end
  DConf is a low-level key/value database designed for storing desktop
@@ -97,10 +92,10 @@
 Package: dconf-service
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
+Depends: default-dbus-session-bus | dbus-session-bus,
+         libdconf1 (= ${binary:Version}),
          ${misc:Depends},
-         libdconf1 (= ${binary:Version}),
-         default-dbus-session-bus | dbus-session-bus
+         ${shlibs:Depends}
 Recommends: dconf-gsettings-backend
 Description: simple configuration storage system - D-Bus service
  DConf is a low-level key/value database designed for storing desktop

## dconf 0.40.0

=== debian/changelog ===
dconf (0.40.0-3ubuntu0.1) jammy; urgency=medium

  * Restore permissions on database write to prevent restrictive umask from
    rendering the db inaccessible (LP: #2072586)
    - d/p/lp2072586-gvdb-Restore-permissions-on-changed-files.patch

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Tue, 20 May 2025 15:59:48 -0500

dconf (0.40.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry
  * Bump debhelper from old 12 to 13. + debian/rules:
    - Drop --fail-missing argument to dh_missing, which is now the default
  * Add upstream metadata file
  * Update standards version to 4.6.0, no changes needed
  * Avoid explicitly specifying -Wl,--as-needed linker flag

  [ Jeremy Bicha ]
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Update debian/watch & debian/gbp.conf for team style
  * debian/rules: Don't ignore test failures but increase the timeout
    multiplier

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 02 Feb 2022 16:09:53 -0500

dconf (0.40.0-2) unstable; urgency=medium

  * Team upload
  * Drop Build-Depends on systemd.
    This would be unsatisfiable on non-Linux architectures, and is
    unnecessary even on Linux: if it isn't found, the fallback is correct,
    as long as we build systemd and dconf with the same --prefix (which
    we do).
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 21:56:01 +0100

dconf (0.40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on systemd
  * debian/dconf-service.install:
    - include the new systemd user service

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Jun 2021 15:37:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Source: dconf
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: bash-completion,
                dbus <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
+               dh-sequence-gnome,
                docbook-xsl,
-               gnome-pkg-tools,
                libdbus-1-dev,
                libglib2.0-dev (>= 2.44.0),
                meson (>= 0.47.0),
                valac (>= 0.18.0),
                xsltproc
 Build-Depends-Indep: gtk-doc-tools (>= 1.15) <!nodoc>, libglib2.0-doc <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/dconf
 Vcs-Git: https://salsa.debian.org/gnome-team/dconf.git
 Homepage: https://wiki.gnome.org/Projects/dconf

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

binaries := $(shell dh_listpackages)

ifeq ($(filter libdconf-doc,$(binaries)),)
enable_gtk_doc = false
else
enable_gtk_doc = true
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=$(enable_gtk_doc)

override_dh_auto_test:
	dh_auto_test -- --timeout-multiplier 5

## dconf 0.49.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 option('man', type: 'boolean', value: true, description: 'generate man pages')
 option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
 option('vapi', type: 'boolean', value: true, description: 'install dconf client vapi')
+option('systemduserunitdir', type: 'string', value: '', description: 'override systemd user unit directory')

=== debian/changelog ===
dconf (0.49.0-2) unstable; urgency=medium

  * Team upload
  * d/control: dconf-cli is Multi-Arch: foreign (Closes: #1119120)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 14:59:32 +0000

dconf (0.49.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Sep 2025 19:29:46 -0400

dconf (0.40.0-5) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Update packaging branch to debian/latest

  [ Simon McVittie ]
  * d/control: Stop generating from a template
  * d/upstream/metadata: Update bug tracker URLs for Gitlab changes
  * d/upstream/metadata: Add Archive and Security-Contact
  * d/salsa-ci.yml: Add
  * Standards-Version: 4.7.0 (no changes required)
  * d/tests: Use pkgconf in preference to pkg-config

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Jan 2025 11:18:33 +0000

dconf (0.40.0-4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Add procps to the BD and dconf-service dependencies

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Dec 2022 08:11:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: dconf
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: bash-completion,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -16,14 +11,14 @@
                libdbus-1-dev,
                libglib2.0-dev (>= 2.44.0),
                meson (>= 0.47.0),
+               procps <!nocheck>,
                valac (>= 0.18.0),
                xsltproc
 Build-Depends-Indep: gtk-doc-tools (>= 1.15) <!nodoc>, libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/dconf
 Vcs-Git: https://salsa.debian.org/gnome-team/dconf.git
 Homepage: https://wiki.gnome.org/Projects/dconf
-Rules-Requires-Root: no
 
 Package: libdconf1
 Architecture: any
@@ -64,6 +59,7 @@
 Package: dconf-cli
 Section: utils
 Architecture: any
+Multi-Arch: foreign
 Depends: libdconf1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: dconf
 Description: simple configuration storage system - utilities
@@ -95,6 +91,7 @@
 Multi-Arch: foreign
 Depends: default-dbus-session-bus | dbus-session-bus,
          libdconf1 (= ${binary:Version}),
+         procps,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: dconf-gsettings-backend

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,5 @@
 
 override_dh_auto_test:
 	dh_auto_test -- --timeout-multiplier 5
+
+override_dh_gnome_clean:

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libdconf-dev, pkgconf
